.site-found-content {
    margin-top: 20px;
    margin-bottom: 30px;
    padding-left: 10px;
    padding-right: 10px;
}

.site-found-content p {
    margin-bottom: 1.2em;
}

.site-found-content a {
    text-decoration: none;
    color: #003C09;
}

.page-title,
.non-found-page-title {
    text-align: center;
    color: #003C09;
    margin-bottom: 35px;
}

/* Декоративная линия под заголовком */
.page-title::after,
.non-found-page-title::after {
    content: '';
    display: block;
    width: 180px;
    height: 1px;
    background: #2e7d32;       /* Насыщенный зеленый */
    margin: 12px auto 0;
}

.found-content {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;
    margin-bottom:15px;
}

.nav-links a {
    font-weight: bold;
    padding: 10px;
    border: 1px solid #003C09;
    border-radius: 10px;
}

.nav-links a:hover {
    background: #003C09;
    color: #ffffff;
}

.article-n-page-img img {
    border-radius: 10px;
    height: auto;
    display: block;
}

/** ------- Страница ничего не найдено - настройка стр. поиска ------- */
.search-form {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    background: white;
    padding: 5px;
    border-radius: 10px;
    border: 1px solid #003C09;
    max-width: 100%; /* Адаптивность */
}

/* Заставляем label растягиваться */
.search-form label {
    flex: 1 1 auto;
    display: block;
    overflow: hidden; /* обрезаем содержимое если нужно */
}

.search-field {
    border: none;
    padding: 15px 20px;
    width: 100%; /* Растягиваем на всю длинну до кнопки */
    display: block; /* Убирает лишние отступы */
    box-sizing: border-box; /* Учитывает padding */
    font-size: 16px;
    border-radius: 10px;
    outline: none;
    background: transparent;
    color: #2e7d32;
}

.search-field::placeholder {
    color: #a5d6a7;
}

.search-submit {
    background: #003C09;
    color: white;
    border: none;
    padding: 15px 30px;
    border-radius: 10px;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
}

.search-submit:hover {
    background: #2d9a34;
}

.screen-reader-text {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    border: 0;
}

/** ------------- Мобильная навигация по поиску ------------- */

/* Для мобильных устройств */
@media screen and (max-width: 768px) {
    .found-content {
        display: flex;
        /** align-items: center; /* выравнивание по верхнему краю, а не по центру */
        align-items: center; /* выравнивание по верхнему краю, а не по центру */
        flex-direction: column; /* разрешаем перенос на новую строку */
        margin-bottom: 1em;
    }
}